Announcement Announcement Module
Collapse
No announcement yet.
¿There is a way to personalize the show method of the controller? Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • ¿There is a way to personalize the show method of the controller?

    hi!.
    I have a "Propuesta" entity.
    I'm trying to push code into the controller overwriting the show method with my own but there is an error in the IDE (STS).

    Error message:
    "inter-type declaration from xx.xx.xx.xx.web.PropuestaController_Roo_Controller conflicts with existing member: java.lang.String xx.xx.xx.xx.web.PropuestaController.show(java.lang .Long, org.springframework.ui.Model) PropuestaController.java"
    ¿There is a way to personalize the show method of the controller without having conflicts with the AspectJ file?

  • #2
    If you are using Roo 1.1.3.RELEASE, then you are being blocked by a critical bug - https://jira.springsource.org/browse/ROO-2368. This has been resolved and I suggest you use the latest 1.1.4.BUILD-SNAPSHOT. Roo 1.1.4.RELEASE will be ready next week

    Comment


    • #3
      Thanks!.

      I'm using Roo 1.1.2.RELEASE.
      I'm gonna try the latest 1.1.4.BUILD-SNAPSHOT

      Comment


      • #4
        a lot of time spent trying to use the last spring-roo-1.1.4.BUILD-SNAPSHOT.

        - I cant create a new project in STS without errors (The container 'Maven Dependencies' references non existing library 'C:\Documents and Settings\dperezfadon\.m2\repository\org\springfram ework\roo\org.springframework.roo.annotations\1.1. 4.BUILD-SNAPSHOT\org.springframework.roo.annotations-1.1.4.BUILD-SNAPSHOT.jar' yyy)

        - if i change roo version from 1.1.2 to 1.1.4 the project dont find roo jars (a lot of class not found errors)

        - if i use 1.1.3 i cant overwrite the method, like in 1.1.2
        Last edited by dperezfa; Apr 26th, 2011, 03:28 AM.

        Comment


        • #5
          ok, problem solved.

          The error
          "The container 'Maven Dependencies' references non existing library 'C:\Documents and Settings\dperezfadon\.m2\repository\org\springfram ework\roo\org.springframework.roo.annotations\1.1. 4.BUILD-SNAPSHOT\org.springframework.roo.annotations-1.1.4.BUILD-SNAPSHOT.jar'"
          was solved changing
          <version>${roo.version}</version>
          to
          <version>1.1.3.RELEASE</version>
          in pom.xml

          Comment

          Working...
          X